XMLDiff\Base::__construct
XMLDiff\Base::merge
XMLDiff\Base
PHP Manual

# XMLDiff\Base::diff

(PECL xmldiff >= 0.8.0)

XMLDiff\Base::diff — Produce diff of two XML documents

### Description

abstract public mixed XMLDiff\Base::diff ( mixed `$from` , mixed `$to` )

Abstract diff method to be implemented by inheriting classes.

The basic purpose of this method is to produce diff of the two documents. The param order matters and will produce different output.

### Parameters

`from`

  Source XML document.

`to`

  Target XML document.

### Return Values

Implementation dependent.

XMLDiff\Base::__construct
XMLDiff\Base::merge
XMLDiff\Base
PHP Manual